package com.yd.api.practitioner.vo.organization;

import java.util.List;

public class InsurerBranchInfo {
    private String insurerBranchIdEG;
    private Long insurerBranchId;
    private String branchName;
    private String branchCode;
    private Integer isActive;
    private String effectiveStartDate;
    private String effectiveEndDate;
    private String contactName;
    private String contactNo;
    private String remark;
    private Long createdBy;
    private String createByName;
    private Long updatedBy;
    private String updatedByName;
    private String createdAt;
    private String updatedAt;
    private String address;
    private List<InsurerBranchDeptInfo> insurerBranchDeptList;

    public String getInsurerBranchIdEG() {
        return insurerBranchIdEG;
    }

    public void setInsurerBranchIdEG(String insurerBranchIdEG) {
        this.insurerBranchIdEG = insurerBranchIdEG;
    }

    public Long getInsurerBranchId() {
        return insurerBranchId;
    }

    public void setInsurerBranchId(Long insurerBranchId) {
        this.insurerBranchId = insurerBranchId;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public String getBranchCode() {
        return branchCode;
    }

    public void setBranchCode(String branchCode) {
        this.branchCode = branchCode;
    }

    public List<InsurerBranchDeptInfo> getInsurerBranchDeptList() {
        return insurerBranchDeptList;
    }

    public void setInsurerBranchDeptList(List<InsurerBranchDeptInfo> insurerBranchDeptList) {
        this.insurerBranchDeptList = insurerBranchDeptList;
    }

    public Integer getIsActive() {
        return isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public String getEffectiveStartDate() {
        return effectiveStartDate;
    }

    public void setEffectiveStartDate(String effectiveStartDate) {
        this.effectiveStartDate = effectiveStartDate;
    }

    public String getEffectiveEndDate() {
        return effectiveEndDate;
    }

    public void setEffectiveEndDate(String effectiveEndDate) {
        this.effectiveEndDate = effectiveEndDate;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactNo() {
        return contactNo;
    }

    public void setContactNo(String contactNo) {
        this.contactNo = contactNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Long getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Long updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedByName() {
        return updatedByName;
    }

    public void setUpdatedByName(String updatedByName) {
        this.updatedByName = updatedByName;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    public String getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(String updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
}
